.\"	$NetBSD: catopen.3,v 1.13 2003/04/16 13:34:42 wiz Exp $
.\"
.\" Written by J.T. Conklin <jtc@NetBSD.org>.
.\" Public domain.
.\"
.Dd May 29, 1994
.Dt CATOPEN 3
.Os
.Sh NAME
.Nm catopen
.Nd open message catalog
.Sh LIBRARY
.Lb libc
.Sh SYNOPSIS
.In nl_types.h
.Ft nl_catd
.Fn catopen "const char *name" "int oflag"
.Sh DESCRIPTION
The
.Fn catopen
function opens the message catalog specified by
.Fa name
and returns a message catalog descriptor.
If
.Fa name
contains a
.Sq /
then
.Fa name
specifies the full pathname for the message catalog, otherwise the value
of the environment variable
.Ev NLSPATH
is used with
.Fa name
substituted for %N.
.Pp
The
.Fa oflag
argument is reserved for future use and should be set to zero.
.Sh RETURN VALUES
Upon successful completion,
.Fn catopen
returns a message catalog descriptor.
Otherwise, (nl_catd) -1 is returned and
.Va errno
is set to indicate the error.
.Sh ERRORS
.Bl -tag -width Er
.It Bq Er ENOMEM
Insufficient memory is available.
.El
.Sh SEE ALSO
.Xr gencat 1 ,
.Xr catclose 3 ,
.Xr catgets 3 ,
.Xr nls 7
.Sh STANDARDS
The
.Fn catopen
function conforms to
.St -xpg3 .
